analisis_descriptivo <- function(resultados){

  tiempo <- levels(resultados$t_disponible)
  nucleos <- levels(resultados$cpu_disponible)

  tamaño_analisis <- 3*length(tiempo)*length(nucleos)
  analisis <- data.frame( matrix(rep(0,tamaño_analisis), ncol=length(tiempo)*length(nucleos)))
  colnames(analisis) <- apply(expand.grid(nucleos, tiempo ), 1, paste, collapse=".")
  
  contador <- 1
  for(i in 1:length(tiempo)) {
    for(j in 1:length(nucleos)){
      parcial <- resultados[resultados$t_disponible == tiempo[i] & resultados$cpu_disponible==nucleos[j], c(8,9,10)]
      opt<-summary(parcial$estado_cplex)
      analisis[, contador] <- c(unname((opt["101"] + opt["102"])/nrow(parcial))*100, mean(parcial$gap_cplex)*100, mean(parcial$t_cplex))
      contador <- contador + 1
    }
  }
  analisis
}

archivo <- "/home/garcia/Escritorio/documento/DAPFSP/rendimiento_modelos/resultados/resultados.rds"

resultados <- readRDS(archivo)
resultados$estado_cplex <- as.factor(resultados$estado_cplex)
resultados$t_disponible <- as.factor(resultados$t_disponible)
resultados$cpu_disponible <- as.factor(resultados$cpu_disponible)
resultados$n <- as.factor(resultados$n)  

n <- levels(resultados$n)
tabla<- data.frame()
for (i in 1:length(n)){
  tabla <- rbind(tabla, analisis_descriptivo(resultados[resultados$n==n[i],]))
}


tabla<-cbind(tabla, medias=rowMeans(tabla, dims = 1))

write.csv(tabla, file=paste("/home/garcia/Escritorio/documento/DAPFSP/rendimiento_modelos/resultados/analisis/descrip/compu/","analisis.csv") )


