analisis_descriptivo <- function(nombre_fichero){
  resultados <- readRDS(nombre_fichero)
  resultados$estado_cplex <- as.factor(resultados$estado_cplex)
  resultados$t_disponible <- as.factor(resultados$t_disponible)
  resultados$cpu_disponible <- as.factor(resultados$cpu_disponible)
  tiempo <- levels(resultados$t_disponible)
  nucleos <- levels(resultados$cpu_disponible)
  tamaño_analisis <- 3*length(tiempo)*length(nucleos)
  analisis <- data.frame( matrix(rep(0,tamaño_analisis), ncol=length(tiempo)*length(nucleos)))
  colnames(analisis) <- apply(expand.grid(nucleos, tiempo ), 1, paste, collapse=".")
  contador <- 1
  for(i in 1:length(tiempo)) {
    for(j in 1:length(nucleos)){
      parcial <- resultados[resultados$t_disponible == tiempo[i] & resultados$cpu_disponible==nucleos[j], c(7,8,9)]
      opt<-summary(parcial$estado_cplex)
      analisis[, contador] <- c(unname((opt["101"] + opt["102"])/nrow(parcial))*100, mean(parcial$gap_cplex)*100, mean(parcial$t_cplex))
      contador <- contador + 1
    }
  }
  analisis
}

ruta <- "~/Escritorio/dfadsfsad/documento/DPFSP/rendimiento_modelos/resultados/"
tabla<- data.frame()
for(i in 1:6){
  tabla <- rbind(tabla, analisis_descriptivo( paste(ruta,"resultados",i, ".rds",sep="")))
}

tabla<-cbind(tabla, medias=rowMeans(tabla, dims = 1))

write.csv(tabla, file = paste(ruta,"analisis.csv") )


