analisis_descriptivo <- function(nombre_fichero, t_dispo){
  resultados <- readRDS(nombre_fichero)
  resultados$estado_cplex <- as.factor(resultados$estado_cplex)
  resultados$n <- as.factor(resultados$n)
  
  n<-levels(resultados$n)
  tamaño_analisis <- 3*length(n)
  
  analisis <- data.frame( matrix(rep(0,tamaño_analisis), ncol=length(n)))
  colnames(analisis) <- n
  
  contador <- 1

    for(j in 1:length(n)){
      parcial <- resultados[resultados$t_disponible == t_dispo & resultados$n==n[j], c(7,8,9)]
      opt<-summary(parcial$estado_cplex)
      analisis[, contador] <- c(unname((opt["101"] + opt["102"])/nrow(parcial))*100, mean(parcial$gap_cplex)*100, mean(parcial$t_cplex))
      contador <- contador + 1
    }

  analisis
}

ruta <- "/media/garcia/XBOOT/documento/DPFSP/rendimiento_modelos/resultados/"

t_dispo <- 300

  tabla<- data.frame()
  for(i in 1:6){
    tabla <- rbind(tabla, analisis_descriptivo( paste(ruta,"resultados",i, ".rds",sep=""), t_dispo))
  }

  tabla<-cbind(tabla, medias=rowMeans(tabla, dims = 1))

  write.csv(tabla, file = paste(ruta, paste("analisis_",t_dispo,".csv", sep="") ))

t_dispo <- 1800
  
  tabla<- data.frame()
  for(i in 1:6){
    tabla <- rbind(tabla, analisis_descriptivo( paste(ruta,"resultados",i, ".rds",sep=""), t_dispo))
  }
  
  tabla<-cbind(tabla, medias=rowMeans(tabla, dims = 1))
  
  write.csv(tabla, file = paste(ruta, paste("analisis_",t_dispo,".csv", sep="") ))

